ELF2ECOFF(1)

NAME
elf2ecoff - convert a NetBSD ELF-format executable to NetBSD ECOFF format

SYNOPSIS
elf2ecoff elf-file ecoff-file

DESCRIPTION
Reads a fully-linked ELF executable (such as a linked kernel) and produces an equivalent ECOFF format executable file.

The elf2ecoff utility is used to convert native NetBSD ELF binaries to ECOFF format, for compatibility with DECstation diskless-boot PROM code and diskless-boot servers that require ECOFF format binaries.

SEE ALSO
elf2aout(1), ld(1), kvm(3), a.out(5), elf(5)

HISTORY
elf2ecoff was originally developed for NetBSD/pmax by Ted Lemon and was first distributed with the pmax port of NetBSD 1.1.

BUGS
elf2ecoff assumes there are no multiply-referenced symbols in the input ELF symbol section. It may be necessary to link with -x to avoid duplicate symbols.

In some environments, the GNU binutils objcopy(1) utility may be a better solution than elf2ecoff.